Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class NetgroupCache

    java.lang.Object
      org.apache.hadoop.security.NetgroupCache

    public class NetgroupCache

extends Object

Class that caches the netgroups and inverts group-to-user map to user-to-group map

Constructor Summary
`NetgroupCache()`

Method Summary
`void` | `add(String group, List<String> users)`
`void` | `clear()`
`List<String>` | `getNetgroupNames()`
`void` | `getNetgroups(String user, List<String> groups)`
`boolean` | `isCached(String group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetgroupCache

    public NetgroupCache()

Method Detail

### getNetgroups

    public void getNetgroups(String user,
                             List<String> groups)

### getNetgroupNames

    public List<String> getNetgroupNames()

### isCached

    public boolean isCached(String group)

### clear

    public void clear()

### add

    public void add(String group,
                    List<String> users)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation